com.holonplatform.reactor.datastore.operation

## Interface ReactiveRefresh

- All Superinterfaces:
    com.holonplatform.core.datastore.DatastoreCommodity, com.holonplatform.core.datastore.operation.commons.DatastoreOperation<ReactiveRefresh,com.holonplatform.core.datastore.operation.commons.PropertyBoxOperationConfiguration>, com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration.Builder<ReactiveRefresh>, com.holonplatform.core.datastore.operation.commons.ExecutableOperation<reactor.core.publisher.Mono<com.holonplatform.core.property.PropertyBox>>, com.holonplatform.core.datastore.operation.commons.ExecutablePropertyBoxOperation<reactor.core.publisher.Mono<com.holonplatform.core.property.PropertyBox>,ReactiveRefresh>, com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder<ReactiveRefresh>, com.holonplatform.core.datastore.operation.commons.PropertyBoxOperation<ReactiveRefresh,com.holonplatform.core.datastore.operation.commons.PropertyBoxOperationConfiguration>, com.holonplatform.core.datastore.operation.commons.PropertyBoxOperationConfiguration.Builder<ReactiveRefresh>, Serializable

      public interface ReactiveRefresh
      extends com.holonplatform.core.datastore.operation.commons.ExecutablePropertyBoxOperation<reactor.core.publisher.Mono<com.holonplatform.core.property.PropertyBox>,ReactiveRefresh>

  Reactive refresh `ExecutablePropertyBoxOperation` operation, using a `Mono` to represent and handle the operation result.
  Since:
    5.2.0
  See Also:
    `ReactiveDatastore`

- - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperation

      `getConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.PropertyBoxOperationConfiguration.Builder

      `value`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration.Builder

      `parameter, parameter, target, withExpressionResolvers, withWriteOption, withWriteOptions, withWriteOptions`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder

      `withExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.ExecutableOperation

      `execute`

Copyright © 2019 The Holon Platform. All rights reserved.